//-- copyright
// Nepenthes is a free and open project management software.
// Copyright (C) 2024 The Nirvati developers
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License version 3.
//
// Nepenthes is a fork of OpenProject. The copyright follows:
//
// Copyright (C) 2012-2024 the OpenProject GmbH
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License version 3.
//
// OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
// Copyright (C) 2006-2013 Jean-Philippe Lang
// Copyright (C) 2010-2013 the ChiliProject Team
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//
// See COPYRIGHT and LICENSE files for more details.
//++

@import "helpers"

:host,
.op-pull-request
  display: grid
  grid-template-columns: auto 1fr auto auto
  grid-template-areas: "link link link link" "title title title state" "info info info info" "checks-label checks-label checks-label checks-label" "checks checks checks checks"
  align-items: center
  margin-bottom: 11px
  padding-bottom: 11px
  border-bottom: 1px solid #dddddd

  &:last-child
    border-bottom: none

  &--title
    @include text-shortener
    font-weight: var(--base-text-weight-bold)
    grid-area: title
    // have the same line height as the status "button" next to it
    line-height: 32px
    margin-right: 20px

  &--info
    display: inline-flex
    grid-area: info
    color: var(--fgColor-muted)

  &--avatar,
  &--date
    margin-left: 0.25rem

  &--link
    grid-area: link
    margin-top: 6px

  &--state
    grid-area: state

  &--checks-label
    grid-area: checks-label
    margin-top: 12px
    font-weight: var(--base-text-weight-bold)

  &--checks
    margin-top: 12px
    margin-left: 0
    grid-area: checks
